/*
  defines the format of an audio stream
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __YAFAUDIOINFO_H
#define __YAFAUDIOINFO_H

#include <iostream.h>
#include <deviceConfig/info.h>


class YafAudioInfo : public Info  {

  int stereo;
  int samplesize;
  int speed;

  int bytes;
  float volume;

 public:
  YafAudioInfo();
  ~YafAudioInfo();

  //cd-quality:true,16,44100
  void setFormat(int stereo,int samplesize,int speed);  

  int getStereo();
  int getSampleSize();
  int getSpeed();
  

  void setStereo(int stereo);
  void setSampleSize(int samplesize);
  void setSpeed(int speed);


  float getTime();

  void setPlayedBytes(int bytes);
  int getPlayedBytes();


  void setVolume(float percent);
  float getVolume();

  // returns true if both AudioInfos are the same
  int equals(YafAudioInfo* aInfo);
  void copyTo(YafAudioInfo* aInfo);

  // returns true is the audio info is completly initialized
  int isValid();
  void makeInvalid();

  void print();
  
};



#endif
