/*
  stores an array and builds to each inserted array the average and stores it
  Copyright (C) 1998  Martin Vogt;Philip VanBaren, 2 September 1993

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include <util/arrayAverage.h>




ArrayAverage::ArrayAverage(int arraySize) {
  this->array=new int[arraySize];
  this->arraySize=arraySize;
  this->counter=0;
}


ArrayAverage::~ArrayAverage() {
  delete array;
}



void ArrayAverage::insert(int* aArray) {
  int i;

  for(i=0;i<arraySize;i++) {
    array[i]+=aArray[i];
    array[i]/=2;
  }
  counter++;
}




void ArrayAverage::adjust(int* aArray,int maxStep) {
  int i;
  int value;

  for(i=0;i<arraySize;i++) {
    if (array[i] < aArray[i]) {
      value=(aArray[i]-array[i])/maxStep;
      array[i]+=value;
    } else {
      value=(array[i]-aArray[i])/maxStep;
      array[i]-=value;
    }
  }
}


int* ArrayAverage::getArray() {
  return array;
}



int ArrayAverage::getSize() {
  return arraySize;
}



void ArrayAverage::reset() {
   int i;

  for(i=0;i<arraySize;i++) {
    array[i]=0;
  }
  counter=0;
} 


int ArrayAverage::getCounter() {
  return counter;
}


void ArrayAverage::setCounter(int value) {
  this->counter=value;
}


